For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agents
      • POSTCreate agent
      • GETGet agent
      • DELDelete agent
      • PATCHUpdate agent
      • POSTDispatch agent
      • GETGet capabilities
      • GETGet system tools
Status
LogoLogo
API ReferenceAgents

Update agent

PATCH
https://app.resemble.ai/api/v2/agents/:uuid
PATCH
/api/v2/agents/:uuid
$curl -X PATCH https://app.resemble.ai/api/v2/agents/uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Update an existing agent's configuration
Was this page helpful?
Previous

Dispatch agent

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional
voice_uuidstringOptional
phone_number_idintegerOptional
languageslist of stringsOptional
dynamic_variablesobjectOptional
asrobjectOptional
turnobjectOptional
llmobjectOptional
search_modeenumOptional
RAG search strategy
Allowed values:
max_chunks_per_queryintegerOptional>=1
Number of chunks to retrieve per query for RAG
webhookslist of anyOptional
system_toolsobjectOptional

Response

Agent updated successfully
successboolean
itemobject
messagestring